Skip to main content
GET
Get the history for a record or relationship

Authorizations

X-Clinia-API-Key
string
header
required

Path Parameters

sourceKey
string
required

The source key.

collectionType
enum<string>
required

The type of the collection.

Available options:
resources,
relationships
collectionKey
string
required

The key of the collection.

itemId
string
required

The id of the item.

Query Parameters

perPage
integer<int32>
default:20

The number of items to return per page.

page
integer<int32>
default:1

The page number to retrieve.

from
string<date-time>

The start of the date range filter (ISO 8601 format). The default value is the beginning of time.

to
string<date-time>

The end of the date range filter (ISO 8601 format). The default value is now.

Response

A list of version history items for the entity.

id
string
required
read-only

The unique identifier of the resource or relationship.

type
string
required
read-only

The collection type of the entity.

targetType
enum<string>
required
read-only
Available options:
resources,
relationships
operationId
string
required
read-only

The unique identifier of the operation.

taskId
string
required
read-only

The identifier of the task that processed this operation.

timestamp
string<date-time>
required
read-only

The exact time the operation was applied.

action
enum<string>
required
read-only

The action to perform.

Available options:
CREATE,
UPSERT,
DELETE,
UPDATE
userInfo
object
required
read-only

Information about the user or service that performed the operation.